import Vue from 'vue'
import Vuex from 'vuex'
import common from './modules/common'
import diagnosis from './modules/diagnosis'
import gpRanking from './modules/gpRanking'
import getters from './getters'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    common,
    diagnosis,
    gpRanking
  },
  getters
})

export default store
